# Running a look via API

Here we are going to run a look with modified filter values and retrieve the results. This demo uses [this Look](https://dashargos.chainargos.com/looks/722).

The demo is a simple look which retrieves info for a single given wallet address. This finds the look, extracts the query, updates the parameters and then runs it. Finally results are printed out.

{% @github-files/github-code-block url="<https://github.com/ChainArgos/api-demos/blob/main/looker/look_query/look_query_demo.py>" %}

Note this code involves manipulating the query filters. If you want to look at the filters on a given look via the API here is a code snippet to do that:

{% @github-files/github-code-block url="<https://github.com/ChainArgos/api-demos/blob/main/looker/look_query/get_query_filters.py>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chainargos.com/documentation/api/looker_api/look_query.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
